%define apiver 0.3
%define major 0
%define libname %mklibname oil %{apiver} %{major}
%define develname %mklibname oil -d
%define staticname %mklibname oil -d -s

Summary:	Optimized functions for multimedia calculations
Name:		liboil
Version:	0.3.17
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
URL:		http://liboil.freedesktop.org
Source0:	http://liboil.freedesktop.org/download/%{name}-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	glib2-devel

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{libname}
Summary:	Optimized functions for multimedia calculations
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%mklibname oil 0.3

%description -n %{libname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{develname}
Summary:	Optimized functions for multimedia calculations
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	liboil-devel = %{version}-%{release}
Obsoletes:	%mklibname oil 0.3 -d

%description -n %{develname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package tools
Summary: Optimized functions for multimedia calculations
Group: System/Libraries

%description tools
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

This contains the binaries that are bundled with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files -n %{libname}
%{_libdir}/liboil-%{apiver}.so.%{major}*

%files -n %{develname}
%{_includedir}/liboil*
%{_libdir}/liboil*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/liboil

%files tools
%{_bindir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.17-3.mga3
+ Revision: 357919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.3.17-2.mga3
+ Revision: 307543
- drop .la file

* Sun Feb 06 2011 spuhler <spuhler> 0.3.17-2.mga1
+ Revision: 47860
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package liboil

